#!/bin/bash

MYRETURNCODE=0
PROGRAMDIR=$(cd "$(dirname $0)" && pwd)

. "${PROGRAMDIR}/conf/backup-rsync-remote.conf"

echo "================ $0 ================"

# PowerOn et montage du volume chiffré
"${PROGRAMDIR}/remote-poweron.sh"
RETURNCODE=$?
if [ "${RETURNCODE}" != "0" ] ; then
	echo "Error: PowerOn operation ended with exit code ${RETURNCODE} - Abording" >&2
	exit ${RETURNCODE}
fi

# Exécution de la commande
rsync -avHz --delete --exclude-from="${EXCLUDELIST}" -e "ssh -i ${CERTIFICATE_KEY_FILE}" / "${REMOTE_USER}@${REMOTE_HOST}:${REMOTE_DIR}/" 2>"${LOGFILE}" 1>&2
RETURNCODE=$?
if [ "${RETURNCODE}" != "0" ] ; then
        echo "Warning: Rsync ended with exit code ${RETURNCODE}" >&2
	MYRETURNCODE=6
fi

# Retour de l'espace disponible
ssh -i "${CERTIFICATE_KEY_FILE}" "${REMOTE_USER}@${REMOTE_HOST}" "df -h ${REMOTE_MOUNT}"

# Démontage du volume chiffré et PowerOff
"${PROGRAMDIR}/remote-poweroff.sh"
RETURNCODE=$?
if [ "${RETURNCODE}" != "0" ] ; then
	echo "Warning: PowerOff operation ended with exit code ${RETURNCODE}" >&2
	MYRETURNCODE=${RETURNCODE}
fi

echo "Done with return code ${MYRETURNCODE}"
echo "For details, see logfile ${LOGFILE}"

exit ${MYRETURNCODE}

