#!/bin/bash

MYRETURNCODE=0
PROGRAMDIR=$(cd "$(dirname $0)" && pwd)

. "${PROGRAMDIR}/conf/backup-rsync-remote.conf"

# Démontage du répertoire
ssh -i "${CERTIFICATE_KEY_FILE}" "${REMOTE_USER}@${REMOTE_HOST}" "umount ${REMOTE_MOUNT}"
RETURNCODE=$?
if [ "${RETURNCODE}" != "0" ] ; then
        echo "Warning: Umounting ${REMOTE_MOUNT} ended with exit code ${RETURNCODE}" >&2
        MYRETURNCODE=7
fi

# Fermeture du container LUKS
ssh -i "${CERTIFICATE_KEY_FILE}" "${REMOTE_USER}@${REMOTE_HOST}" "cryptsetup luksClose ${REMOTE_LUKSNAME}"
RETURNCODE=$?
if [ "${RETURNCODE}" != "0" ] ; then
	echo "Warning: Closing LUKS container ended with exit code ${RETURNCODE}" >&2
	MYRETURNCODE=8
fi

# Ordre de shutdown
ssh -i "${CERTIFICATE_KEY_FILE}" "${REMOTE_USER}@${REMOTE_HOST}" 'poweroff'
RETURNCODE=$?
if [ "${RETURNCODE}" != "0" ] ; then
	echo "Warning: Poweroff ended with return code ${RETURNCODE}" >&2
	MYRETURNCODE=9
fi

# Note: au shutdown comme au powerup il faut penser à réactiver le WOL sur l'interface réseau
# Cela est effectué de la manière suivante :
# > /etc/network/interfaces
#	post-up /sbin/ethtool -s eth0 wol g
#	post-down /sbin/ethtool -s eth0 wol g
# > /etc/modprobe.d/local.conf
#	install via_rhine /sbin/modprobe -i via_rhine ; /sbin/ethtool -s eth0 wol g

echo "Shutdown operation complete"
exit ${MYRETURNCODE}

